using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MenuAudioManager : MonoBehaviour
{
    private AudioSource _currentAudioSource;
    public AudioClip menuItemClickedSFX;
    public AudioClip sfxTestClip;

    private void Awake()
    {
        _currentAudioSource = gameObject.GetComponent<AudioSource>();
    }

    public void PlayMenuClick()
    {
        PlayMenuSound(menuItemClickedSFX);
    }

    public void PlaySFXTestSound()
    {
        PlayMenuSound(sfxTestClip);
    }

    public void PlayMenuSound(AudioClip clipToPlay)
    {
        _currentAudioSource.PlayOneShot(clipToPlay);
    }
}
